<template lang="pug">
	nav(:class="{ open: open }")
		ul
			li.logo
				Logo(size="small")
			li
				router-link(to="/" @click.native="close_menu")
					Icon(name="dashboard")
					span Dashboard
			li
				router-link(to="/tasks" @click.native="close_menu")
					Icon(name="restore")
					span Tasks
			li
				router-link(to="/notes" @click.native="close_menu")
					Icon(name="notes")
					span Notes
			li
				router-link(to="/contacts" @click.native="close_menu")
					Icon(name="people")
					span Contacts
			li
				router-link(to="/calendar" @click.native="close_menu")
					Icon(name="calendar_today")
					span Calendar
			li
				router-link(to="/settings" @click.native="close_menu")
					Icon(name="settings")
					span Settings
			li
				router-link(to="/lab" @click.native="close_menu")
					Icon(name="report")
					span Lab
			li
				router-link(to="#" @click.native="logout")
					Icon(name="lock")
					span Log out
</template>

<script>
import Vue from 'vue';
import Icon from '@/components/icon.vue';
import Logo from '@/components/logo.vue';

export default Vue.extend({
	components: {
		Icon,
		Logo,
	},
	props: {
		open: {
			type: Boolean,
			required: false,
			default: false,
		},
	},
	methods: {
		close_menu() {
			this.$emit('closemenu');
		},
		logout() {
			this.$store.dispatch('log_out');
			this.$router.push('/login');
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_dimensions.scss";

nav {
	position: fixed;
	left: -$menu-width;
	height: calc(100% - #{$header-height});
	width: $menu-width;
	background: white;
	overflow-x: hidden;
	overflow-y: scroll;
	padding: 20px 10px;
	-webkit-overflow-scrolling: touch;
	overflow: hidden;
	box-shadow: 0 1px 6px rgba(12, 12, 13, 0.2);
	transition: left 400ms;
	z-index: 1000;
}

.open {
	left: 0;
}

ul {
	position: relative;
	margin: 0;
	padding: 0;
	width: 100%;
	display: inline-block;
	& > li {
		display: inline-block;
		position: relative;
		width: 100%;
		margin: 0;
		padding: 0;
		list-style: none;
		&.logo {
		text-align: center;
		margin-bottom: 10px;
		}
	}
}

a {
	color: black;
	display: inline-block;
	width: 100%;
	padding-left: 10px;
	border-radius: 2px;
	outline: 0;
	transition: background-color 200ms;
	& > span {
		display: inline-block;
		vertical-align: top;
		height: 48px;
		line-height: 48px;
		&:last-child {
		margin-left: 10px;
		}
	}
	&:hover {
		background-color: #f0f0f0;
	}
	&:active {
		background-color: #e0e0e0;
	}
}

@media screen and (min-width: 1200px) {
	nav {
		display: inline-block;
		position: relative;
		left: 0;
	}
}
</style>
